Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsLogManager

    java.lang.Object
      oracle.ifs.common.logging.IfsLogManager

    public final class IfsLogManager

extends java.lang.Object

IfsLogManager manages all IfsLoggers.

Has a singleton instance which all IfsLoggers register with. This instance performs logging system initialzation and manages log levels dynamically.

Method Summary
`void` | `addLogger(IfsLogger logger)` Add a logger.
`void` | `clearCachedEffectiveLevels()` Clear all the cached log levels for all registered IfsLoggers.
`java.util.logging.Level` | `getEffectiveLevel(IfsLogger logger)` Get the effective level for the specified Logger.
`IfsLogger` | `getLogger(java.lang.String loggerName)` Get the IfsLogger by name.
`static IfsLogManager` | `getLogManager()` Get the singleton instance of this class.
`java.lang.String` | `getRootLoggerName()` Gets the root logger name, established during initialization.
`void` | `initialize(LogConfiguration logConfig, boolean overwrite)` Initialize logging based on a LogConfiguration object.
`boolean` | `isInitialized()` Gets whether logging has been initialized completely.
`void` | `setLogLevel(java.lang.String loggerName, java.util.logging.Level level)` Sets a log level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogManager

    public static IfsLogManager getLogManager()

  Description copied from class: `IfsLogManager`
  Get the singleton instance of this class.

  Returns:
    the IfsLogManager instance.
  (Published)

### initialize

    public void initialize(LogConfiguration logConfig,
                           boolean overwrite)

  Description copied from class: `IfsLogManager`
  Initialize logging based on a LogConfiguration object.

  Parameters:
    `logConfig` - a LogConfiguration that specifies logging options.
    `overwrite` - whether to replace the existing configuration
  (Published)

### isInitialized

    public boolean isInitialized()

  Description copied from class: `IfsLogManager`
  Gets whether logging has been initialized completely.

  Returns:
    whether logging initialization completed successfully
  (Published)

### getRootLoggerName

    public java.lang.String getRootLoggerName()

  Description copied from class: `IfsLogManager`
  Gets the root logger name, established during initialization.

  Returns:
    the root logger name
  (Published)

### addLogger

    public void addLogger(IfsLogger logger)

  Description copied from class: `IfsLogManager`
  Add a logger.

  Parameters:
    `logger` - The IfsLogger to add.
  (Unpublished)

### getLogger

    public IfsLogger getLogger(java.lang.String loggerName)

  Description copied from class: `IfsLogManager`
  Get the IfsLogger by name.

  Parameters:
    `loggerName` - String containing the name of the logger.
  Returns:
    The IfsLogger with the name, null if no match.
  (Published)

### setLogLevel

    public void setLogLevel(java.lang.String loggerName,
                            java.util.logging.Level level)

  Description copied from class: `IfsLogManager`
  Sets a log level.

  The specified loggerName can be the name of a specific class or a package name.

  Parameters:
    `loggerName` - The logger name
    `level` - the effective log level for this logger name
  (Published)

### getEffectiveLevel

    public java.util.logging.Level getEffectiveLevel(IfsLogger logger)

  Description copied from class: `IfsLogManager`
  Get the effective level for the specified Logger.

  If not cached, delegate request to the IfsLogManager, which will choose the closest explicitly set log level, using the root logger's level as a last resort.

  Parameters:
    `logger` - The IfsLogger to check
  Returns:
    the effective log level
  (Published)

### clearCachedEffectiveLevels

    public void clearCachedEffectiveLevels()

  Description copied from class: `IfsLogManager`
  Clear all the cached log levels for all registered IfsLoggers.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD